> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> Creates a portal user and emails them a link to set their password.



## OpenAPI

````yaml /spec/openapi.json post /users
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Remittance Totals
  - name: Reports
  - name: ROE SAT Agreements
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Users
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create a user
      description: Creates a portal user and emails them a link to set their password.
      operationId: users-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    name:
                      type: string
                      maxLength: 255
                    email:
                      type: string
                      description: >-
                        The user's email address. They are sent an email to set
                        their password.
                      maxLength: 254
                    is_user_manager:
                      type: boolean
                    is_restricted:
                      type: boolean
                    is_read_only:
                      type: boolean
                    is_multifactor:
                      type: boolean
                    sms:
                      type: string
                      nullable: true
                    is_notifiable:
                      type: boolean
                    preferred_locale:
                      type: string
                      enum:
                        - en
                        - fr
                - type: object
                  required:
                    - name
                    - email
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"user"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/User'
              example:
                id: <id>
                object: user
                data:
                  name: Jordan Lee
                  email: jordan.lee@example.com
                  is_user_manager: false
                  is_restricted: true
                  is_read_only: false
                  is_multifactor: true
                  sms: '+15555550123'
                  is_notifiable: false
                  preferred_locale: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /users/<id>
components:
  schemas:
    User:
      type: object
      title: User
      properties:
        name:
          type: string
          maxLength: 255
        email:
          type: string
          maxLength: 255
        is_user_manager:
          type: boolean
          description: >-
            Whether this user manages the partner's other users: who has access,
            and to which companies. A partner always has at least one user
            manager.
        is_restricted:
          type: boolean
          description: >-
            When true, this user can only access the companies they are granted.
            With no grants, they access no companies.
        is_read_only:
          type: boolean
          description: >-
            When true, this user can view everything their access allows but
            cannot change anything. They can still update their own profile.
        is_multifactor:
          type: boolean
          description: >-
            Whether this user must confirm each sign-in with a code sent by text
            message.
        sms:
          type: string
          description: The mobile number that sign-in codes are sent to.
          nullable: true
          maxLength: 255
        is_notifiable:
          type: boolean
          description: >-
            Whether this user receives alerts about problems with the partner's
            webhooks and email delivery.
        preferred_locale:
          type: string
          description: The language used for emails sent to this user.
          nullable: true
          enum:
            - en
            - fr
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.